Retrieves the project with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

_parent_id

Reference to a parent installation

globally unique identifier
root_parent_id

This field will be filled automatically based on the parent_id

globally unique identifier
_parent_reference_back_office

Embedded entity "project" for parent installation using ERP PK when adding/updating project

string
_parent_project

Embedded entity "project" for parent installation when adding/updating project

project
equipment_family_id

Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating project

string
equipment_family

Embedded entity "equipment_family" when adding/updating project

equipment_family
equipment_model_id

Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model

globally unique identifier
equipment_model_code

Embedded entity "equipment_model" using ERP PK when adding/updating project

string
equipment_model

Embedded entity "equipment_model" when adding/updating project

equipment_model
project_status_id

Foreign key to project_status

globally unique identifier

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status_code

Embedded entity "project_status" using ERP PK when adding/updating project

string

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status

Embedded entity "project_status" when adding/updating project

project_status

Optionally required : project_status_id, project_status_code or project_status must be provided

company_id

The company owner of this project/installation

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating project

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating project

company

Optionally required : company_id, company_code or company must be provided

db_address_id

Specific db_address_id of the %company_id% if different than the company default address

globally unique identifier
db_address_code

Embedded entity "db_address" using ERP PK when adding/updating project

string
db_address

Embedded entity "db_address" when adding/updating project

db_address
location

Additional text to describe the location

string

Max length: 255

contact_id

Main contact for this project/installation

globally unique identifier
contact_reference_back_office

Embedded entity "contact" using ERP PK when adding/updating project

string
contact

Embedded entity "contact" when adding/updating project

contact
owner_user_id

User owner/manager of this project/installation

globally unique identifier
name

Name of the project/installation

string

Required

Max length: 50

description

Long description

string
reference_back_office

The Id/Ref of the back office for this project/installation. Used by Embedded entity

string

Max length: 255

serial_number

Serial number

string

Max length: 255

barcode

Barcode

string

Max length: 50

date_start_production

Date project/installation becomes active

date
date_create

Creation date+time

date
date_update

Update date+time

date
updated_by_user_id

Last User that updates the object

globally unique identifier
customer_reference

Reference of this project/installation for the customer

string

Max length: 50

warranty_date_until

End date of the warranty (if applicable)

date
last_standard_result_score_1

Last result score 1 (CF Standard module)

string

Max length: 50

last_standard_result_score_2

Last result score 2 (CF Standard module)

string
target_standard_result_score_1

Target result score 1 (CF Standard module)

string

Max length: 50

target_standard_result_score_2

Target result score 2 (CF Standard module)

string

Max length: 50

date_built

Build date of the installation (if applicable)

date
shutdown_consequence

Consequence of the installation is shut down (CEO has no air cooling anymore,..)

string

Max length: 4000

id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer
nb_open_jobs

Readonly - Number of open jobs

integer
date_next_job

Date+time of the next job planned

date
date_last_job

Date+time of the last job completed

date
nb_jobs_planned

Number of jobs with status Planned

integer
nb_jobs_tobeplanned

Number of jobs with status To Be Planned

integer
nb_jobs_waitingfurtheraction

Number of jobs with status Waiting Further Action

integer
back_office_timestamp

Back Office timestamp value (conflict detection purpose)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
is_mobile_installation

Set it TRUE if this is a mobile installation.

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "4567aab4-74fd-4c99-9828-312c09f20253",
  "_parent_id": "51c847d8-e5e3-4c8b-9a54-faf1e97826fd",
  "root_parent_id": "98edb774-49ef-443d-9d03-a087a49d685f",
  "_parent_reference_back_office": "sample string 4",
  "equipment_family_id": "0fcd4631-62d9-4fce-a471-e4122d3ba8e0",
  "equipment_family_code": "sample string 6",
  "equipment_family": {
    "id": "d9c91afa-5a34-4061-8627-c51067862725",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "22727927-06bc-4570-b216-7070e32a215e",
    "_parent_code": "sample string 6",
    "sales_organization_id": "79a8ae1e-6972-423e-9352-7194611998ec",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "9533a294-8530-4358-b8c6-97f7a71b5a43",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "675cb8ad-b596-423f-9671-0a45b9dc960d",
      "db_currency_id": "81f379df-ecf5-4f71-b86f-bfefbf88c09d",
      "db_language_id": "c71a3889-3552-4037-9dfd-bbb397087128",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
    },
    "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
  },
  "equipment_model_id": "0156c1d4-9fea-4ffe-a6a0-2d60807193f1",
  "equipment_model_code": "sample string 8",
  "equipment_model": {
    "id": "ab444212-3145-41b1-8dab-3d1463ce4773",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "equipment_brand_id": "3adcf690-e988-4487-887c-a74a79520ed9",
    "equipment_brand_code": "sample string 6",
    "equipment_brand": {
      "id": "babff8ae-af9f-4e26-85c1-196db341edde",
      "name": "sample string 2",
      "code": "sample string 3",
      "sales_organization_id": "c886ec0c-2a6a-4150-a398-bcd36ed29457",
      "sales_organization_code": "sample string 5",
      "sales_organization": {
        "id": "9533a294-8530-4358-b8c6-97f7a71b5a43",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "675cb8ad-b596-423f-9671-0a45b9dc960d",
        "db_currency_id": "81f379df-ecf5-4f71-b86f-bfefbf88c09d",
        "db_language_id": "c71a3889-3552-4037-9dfd-bbb397087128",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
      },
      "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
    },
    "equipment_family_id": "0c57c13a-2c43-46dd-9218-25dcb8cca790",
    "equipment_family_code": "sample string 8",
    "equipment_family": {
      "id": "d9c91afa-5a34-4061-8627-c51067862725",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "_parent_id": "22727927-06bc-4570-b216-7070e32a215e",
      "_parent_code": "sample string 6",
      "sales_organization_id": "79a8ae1e-6972-423e-9352-7194611998ec",
      "sales_organization_code": "sample string 8",
      "sales_organization": {
        "id": "9533a294-8530-4358-b8c6-97f7a71b5a43",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "675cb8ad-b596-423f-9671-0a45b9dc960d",
        "db_currency_id": "81f379df-ecf5-4f71-b86f-bfefbf88c09d",
        "db_language_id": "c71a3889-3552-4037-9dfd-bbb397087128",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
      },
      "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
    },
    "date_in_production_since": "2026-11-07T10:34:05.2106629+00:00",
    "date_out_of_production_since": "2026-11-07T10:34:05.2106629+00:00",
    "date_end_support": "2026-11-07T10:34:05.2106629+00:00",
    "sales_organization_id": "c35dd765-2d04-4fa7-b36d-86bf12882c8b",
    "sales_organization_code": "sample string 13",
    "sales_organization": {
      "id": "9533a294-8530-4358-b8c6-97f7a71b5a43",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "675cb8ad-b596-423f-9671-0a45b9dc960d",
      "db_currency_id": "81f379df-ecf5-4f71-b86f-bfefbf88c09d",
      "db_language_id": "c71a3889-3552-4037-9dfd-bbb397087128",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
    },
    "replacement_period_nb_months": 14,
    "warranty_period_nb_months": 15,
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ],
    "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
  },
  "project_status_id": "bcefce6f-90d2-403c-9e56-c1c3d0fe49ed",
  "project_status_code": "sample string 10",
  "project_status": {
    "id": "cb816010-22f9-4813-b738-28ddf6e2c110",
    "name": "sample string 2",
    "is_default": true,
    "is_closed": true,
    "sales_organization_id": "2e24c600-c279-4e09-82e6-e6760b49a9b0",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "9533a294-8530-4358-b8c6-97f7a71b5a43",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "675cb8ad-b596-423f-9671-0a45b9dc960d",
      "db_currency_id": "81f379df-ecf5-4f71-b86f-bfefbf88c09d",
      "db_language_id": "c71a3889-3552-4037-9dfd-bbb397087128",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
    },
    "code": "sample string 7",
    "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00"
  },
  "company_id": "421d273a-8fbc-47cd-a370-d563f7113555",
  "company_code": "sample string 12",
  "db_address_id": "e23aa64c-b229-4dce-bea4-dbc3068e5e6b",
  "db_address_code": "sample string 14",
  "location": "sample string 15",
  "contact_id": "d53b3eab-1717-415f-a34d-7210ed55f7c3",
  "contact_reference_back_office": "sample string 17",
  "owner_user_id": "de49c531-a44b-4671-9205-7ddaa254f88e",
  "name": "sample string 19",
  "description": "sample string 20",
  "reference_back_office": "sample string 21",
  "serial_number": "sample string 22",
  "barcode": "sample string 23",
  "date_start_production": "2026-11-07T10:34:05.2106629+00:00",
  "date_create": "2026-11-07T10:34:05.2106629+00:00",
  "date_update": "2026-11-07T10:34:05.2106629+00:00",
  "updated_by_user_id": "9e22ccc9-808e-4685-8cd8-16557625ad91",
  "customer_reference": "sample string 28",
  "warranty_date_until": "2026-11-07T10:34:05.2106629+00:00",
  "last_standard_result_score_1": "sample string 30",
  "last_standard_result_score_2": "sample string 31",
  "target_standard_result_score_1": "sample string 32",
  "target_standard_result_score_2": "sample string 33",
  "date_built": "2026-11-07T00:00:00+00:00",
  "shutdown_consequence": "sample string 35",
  "id2": 36,
  "nb_open_jobs": 37,
  "date_next_job": "2026-11-07T10:34:05.2106629+00:00",
  "date_last_job": "2026-11-07T10:34:05.2106629+00:00",
  "nb_jobs_planned": 40,
  "nb_jobs_tobeplanned": 41,
  "nb_jobs_waitingfurtheraction": 42,
  "back_office_timestamp": "2026-11-07T10:34:05.2106629+00:00",
  "modified_dateutc": "2026-11-07T10:34:05.2106629+00:00",
  "is_mobile_installation": true
}